/**********************************************************************
*          Copyright (c) 2007, Hogeschool voor de Kunsten Utrecht
*                      Hilversum, the Netherlands
*                          All rights reserved
***********************************************************************
*  This program is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program.
*  If not, see <http://www.gnu.org/licenses/>.
***********************************************************************
*
*  File name     : MulticastReceiver.h
*  System name   : Receiver for UDP multicast packets
* 
*  Description   : Header file
*
*
*  Author        : Marc_G
*  E-mail        : marcg@dinkum.nl
*
**********************************************************************/

#include <iostream>
#include <string>

#include <unistd.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>


#define RECV_BUFSIZE	2048


class MulticastReceiver
{
public:
  MulticastReceiver::MulticastReceiver(char* kernel_group,char* client_group,short port);
  MulticastReceiver::~MulticastReceiver();
  int MulticastReceiver::read(char* msgbuf,int bufsize);
  int MulticastReceiver::read(std::string&);
private:
  struct sockaddr_in addr;
  int s;
  int bytes_read;
  int addrsize;
  struct ip_mreq mreq;
  int recv_flags;
  char receive_buffer[RECV_BUFSIZE];
};

