/**********************************************************************
*          Copyright (c) 2007, Hogeschool voor de Kunsten Utrecht
*                      Hilversum, the Netherlands
*                          All rights reserved
***********************************************************************
*  This program is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program.
*  If not, see <http://www.gnu.org/licenses/>.
***********************************************************************
*
*  File name     : MulticastTransmitter.cpp
*  System name   : Transmitter for UDP multicast packets
* 
*  Description   : Implementation file
*
*
*  Author        : Marc_G
*  E-mail        : marcg@dinkum.nl
*
**********************************************************************/

#include <MulticastTransmitter.h>


MulticastTransmitter::MulticastTransmitter(char* group,short port)
{
  s=socket(AF_INET,SOCK_DGRAM,0); // open datagram socket
  if(s == -1) throw(1);

  bzero(&server,sizeof(server)); // clear server struct
  server.sin_family=AF_INET;
  server.sin_addr.s_addr = inet_addr(group); // multicast group address
  server.sin_port=htons(port); // port number (network safe)

  sendto_flags=0;
} // MulticastTransmitter()


MulticastTransmitter::~MulticastTransmitter()
{
  
} // ~MulticastTransmitter()


int MulticastTransmitter::send(std::string message)
{
  bytes_sent=sendto(s,message.c_str(),message.length(),sendto_flags,
                     (struct sockaddr *)&server,sizeof(server));
  return bytes_sent;
} // MulticastTransmitter::send()

