/**********************************************************************
*          Copyright (c) 2007, Hogeschool voor de Kunsten Utrecht
*                      Hilversum, the Netherlands
*                          All rights reserved
***********************************************************************
*  This program is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program.
*  If not, see <http://www.gnu.org/licenses/>.
***********************************************************************
*
*  File name     : receiver.cpp
*  System name   : Receiver for UDP multicast packets
* 
*  Description   : Example for demonstrating the receiver class
*
*
*  Author        : Marc_G
*  E-mail        : marcg@dinkum.nl
*
**********************************************************************/

#include <iostream>
#include <string>
#include <MulticastReceiver.h>

using namespace std;


#define KERNEL_GROUP	"225.0.0.1" // request the kernel to pass us these packages
#define CLIENT_GROUP	"225.0.0.1" // receiver is only interested in these packages
#define MC_PORT		7700
#define MSGBUFSIZE	2048


int main(int argc, char *argv[])
{
MulticastReceiver* network_in;
string message;

  try{
    network_in = new MulticastReceiver(KERNEL_GROUP,CLIENT_GROUP,MC_PORT);
  }
  catch(int error){
    cout << "Construction of receiver object failed with code " << error << endl;
    exit(1);
  }

  while(true) {
    network_in->read(message);
    cout << "Received string: " << message << endl;
  } // while

  return 0;
} // main()

