/**********************************************************************
*          Copyright (c) 2007, Hogeschool voor de Kunsten Utrecht
*                      Hilversum, the Netherlands
*                          All rights reserved
***********************************************************************
*  This program is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program.
*  If not, see <http://www.gnu.org/licenses/>.
***********************************************************************
*
*  File name     : transmitter.cpp
*  System name   : Transmitter for UDP multicast packets
* 
*  Description   : Example for demonstrating the transmitter class
*
*
*  Author        : Marc_G
*  E-mail        : marcg@dinkum.nl
*
**********************************************************************/

#include <iostream>
#include <string>
#include <MulticastTransmitter.h>

using namespace std;


#define MC_GROUP	"225.0.0.1"
#define MC_PORT		7700


int main(int argc, char **argv)
{
string message("Hola amigos");
MulticastTransmitter *network_out;

  try{
    network_out = new MulticastTransmitter(MC_GROUP,MC_PORT);
  }
  catch(int error)
  {
    cout << "Construction of transmitter object failed with code " << error << endl;
    exit(1);
  }

  if(argc > 1) message=argv[1]; // override default message

  network_out->send(message);

  delete network_out;

  return 0;
} // main()

